Bug 104722 - New port: databases/innotop
Summary: New port: databases/innotop
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Cheng-Lung Sung
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-23 21:40 UTC by Steven Kreuzer
Modified: 2006-11-24 07:40 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steven Kreuzer 2006-10-23 21:40:21 UTC
innotop is a text-mode InnoDB and MySQL monitoring tool written in perl

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	/usr/ports/databases/innotop
#	/usr/ports/databases/innotop/Makefile
#	/usr/ports/databases/innotop/distinfo
#	/usr/ports/databases/innotop/pkg-descr
#	/usr/ports/databases/innotop/pkg-plist
#
echo c - /usr/ports/databases/innotop
mkdir -p /usr/ports/databases/innotop > /dev/null 2>&1
echo x - /usr/ports/databases/innotop/Makefile
sed 's/^X//' >/usr/ports/databases/innotop/Makefile << 'END-of-/usr/ports/databases/innotop/Makefile'
X# New ports collection makefile for:	innotop
X# Date created:				23 October 2006
X# Whom:	      				Steven Kreuzer <skreuzer@f2o.org>
X#
X# $FreeBSD$
X#
X
XPORTNAME=	innotop
XPORTVERSION=	0.1.154
XPORTREVISION=	1
XCATEGORIES=	databases
XMASTER_SITES=	http://www.xaprb.com/innotop/src/ \
X	http://skreuzer.f2o.org/mirror/innotop/
X
XMAINTAINER=	skreuzer@f2o.org
XCOMMENT=	A MySQL and InnoDB monitoring program
X
XRUN_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/Term/ReadKey.pm:${PORTSDIR}/devel/p5-Term-ReadKey \
X		${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm:${PORTSDIR}/databases/p5-DBD-mysql \
X		${SITE_PERL}/${PERL_ARCH}/Data/Dumper.pm:${PORTSDIR}/devel/p5-Data-Dumper
X
XPERL_CONFIGURE=	yes
X
XMAN1=		innotop.1
X
X.include <bsd.port.pre.mk>
X
X.include <bsd.port.post.mk>
END-of-/usr/ports/databases/innotop/Makefile
echo x - /usr/ports/databases/innotop/distinfo
sed 's/^X//' >/usr/ports/databases/innotop/distinfo << 'END-of-/usr/ports/databases/innotop/distinfo'
XMD5 (innotop-0.1.154.tar.gz) = d0d1fda2891ed9186c43088e6209a537
XSHA256 (innotop-0.1.154.tar.gz) = 626eb15f93f839e8320980f206e90099877e3827127d406ca20a7d26a896d5c7
XSIZE (innotop-0.1.154.tar.gz) = 49575
END-of-/usr/ports/databases/innotop/distinfo
echo x - /usr/ports/databases/innotop/pkg-descr
sed 's/^X//' >/usr/ports/databases/innotop/pkg-descr << 'END-of-/usr/ports/databases/innotop/pkg-descr'
Xinnotop connects to a MySQL database server and retrieves
Xinformation from it, then displays it in a manner similar
Xto the UNIX top program.
X
XIt runs on most Unix systems which have Perl, DBI, and
XTerm::ReadKey installed.
X
XWWW: http://www.xaprb.com/innotop/
END-of-/usr/ports/databases/innotop/pkg-descr
echo x - /usr/ports/databases/innotop/pkg-plist
sed 's/^X//' >/usr/ports/databases/innotop/pkg-plist << 'END-of-/usr/ports/databases/innotop/pkg-plist'
Xbin/innotop
X%%SITE_PERL%%/InnoDBParser.pm
END-of-/usr/ports/databases/innotop/pkg-plist
exit
Comment 1 Cheng-Lung Sung freebsd_committer 2006-10-24 11:31:44 UTC
Responsible Changed
From-To: freebsd-ports-bugs->clsung

I'll take it.
Comment 2 dfilter service freebsd_committer 2006-11-24 07:33:41 UTC
clsung      2006-11-24 07:33:35 UTC

  FreeBSD ports repository

  Modified files:
    databases            Makefile 
  Added files:
    databases/innotop    Makefile distinfo pkg-descr pkg-plist 
  Log:
  Add innotop 0.1.160, a MySQL and InnoDB monitoring program.
  
  PR:             ports/104722
  Submitted by:   Steven Kreuzer <skreuzer at f2o.org>
  
  Revision  Changes    Path
  1.564     +1 -0      ports/databases/Makefile
  1.1       +26 -0     ports/databases/innotop/Makefile (new)
  1.1       +3 -0      ports/databases/innotop/distinfo (new)
  1.1       +8 -0      ports/databases/innotop/pkg-descr (new)
  1.1       +4 -0      ports/databases/innotop/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Cheng-Lung Sung freebsd_committer 2006-11-24 07:35:01 UTC
State Changed
From-To: open->closed

New port added with latest version. Thank You.